Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006181OCamlOCaml internal build/install (Makefiles, configure)public2013-09-16 19:172014-09-28 09:48
Reporterchengang 
Assigned Todoligez 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindowsOSWindowsOS Version7+
Product Version4.01.0 
Target Version4.02.1+devFixed in Version4.02.1+dev 
Summary0006181: Improve MSVC build
DescriptionMSVC compiler option can begin with '-' or '/', i.e. "cl -nologo ..." is the same as "cl /nologo ...", usually using either works.

But in msys, it seems '/' is somehow reinterpreted, so the build will fail, but changing '/' to '-' will work.
Steps To Reproduce1. Install VS2010 (or VS2012), msys and flexdll
2. Start a VS2010 (or VS2012) command line
3. Navigate to c:\msys, start msys shell
4, In msys shell, navigate to ocaml source code folder c:\ocaml_trunk
5. Use build process described in README.win32

The build will fail.

Apply the attached diff to source code (from SVN trunk), build again, it will work.

Tagspatch
Attached Filesdiff file icon msvc.diff [^] (4,692 bytes) 2013-09-16 19:17 [Show Content]

- Relationships

-  Notes
(0010824)
doligez (administrator)
2014-01-21 16:01

Need to make sure this will not break one of the other Windows ports.
(0012223)
doligez (administrator)
2014-09-28 00:41

Note that the compilation is intended to be done in a cygwin shell rather than an msys shell.

I'm applying this patch and CI will tell us if it breaks compilation under cygwin shell.
(0012231)
doligez (administrator)
2014-09-28 09:48

CI testing went well. This is fixed in 4.02 branch (commit 15362).

- Issue History
Date Modified Username Field Change
2013-09-16 19:17 chengang New Issue
2013-09-16 19:17 chengang File Added: msvc.diff
2014-01-21 16:01 doligez Tag Attached: patch
2014-01-21 16:01 doligez Note Added: 0010824
2014-01-21 16:01 doligez Assigned To => doligez
2014-01-21 16:01 doligez Status new => acknowledged
2014-07-16 18:30 doligez Target Version => 4.02.0+dev
2014-07-21 22:52 doligez Target Version 4.02.0+dev => 4.02.1+dev
2014-09-04 00:25 doligez Target Version 4.02.1+dev => undecided
2014-09-23 17:26 doligez Target Version undecided => 4.02.1+dev
2014-09-28 00:41 doligez Note Added: 0012223
2014-09-28 00:41 doligez Status acknowledged => assigned
2014-09-28 09:48 doligez Note Added: 0012231
2014-09-28 09:48 doligez Status assigned => closed
2014-09-28 09:48 doligez Resolution open => fixed
2014-09-28 09:48 doligez Category OCamlbuild (the tool) => OCaml internal build/install (Makefiles, configure)
2014-09-28 09:48 doligez Fixed in Version => 4.02.1+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker